Index: issm/trunk/src/c/analyses/SmoothedSurfaceSlopeYAnalysis.h
===================================================================
--- issm/trunk/src/c/analyses/SmoothedSurfaceSlopeYAnalysis.h	(revision 18081)
+++ issm/trunk/src/c/analyses/SmoothedSurfaceSlopeYAnalysis.h	(revision 18301)
@@ -27,4 +27,5 @@
 		ElementVector* CreatePVector(Element* element);
 		void GetSolutionFromInputs(Vector<IssmDouble>* solution,Element* element);
+		void GradientJ(Vector<IssmDouble>* gradient,Element* element,int control_type,int control_index);
 		void InputUpdateFromSolution(IssmDouble* solution,Element* element);
 		void UpdateConstraints(FemModel* femmodel);
